package com.msg.xt.jee.cdi.jira_weld_1131;

import org.jboss.weld.environment.se.Weld;
import org.jboss.weld.environment.se.WeldContainer;

/**
 * Hello world!
 */
public class StartupCDI {
	public static void main(String[] args) {
		System.out.println("Startup...");
		//
		// WeldContainer startup
		final WeldContainer weld = new Weld().initialize();
		//
		// Create Injection-Point
		final CustomerInject ci = weld.instance().select(CustomerInject.class)
				.get();

	}
}
